OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
PointMoveImpl.h File Reference

Go to the source code of this file.

## Classes
class | CachedDeformer< T >
| A Deformer that caches the resulting positions from evaluating another Deformer. More...
struct | CachedDeformer< T >::Cache
struct | CachedDeformer< T >::Cache::Leaf
struct | BuildMoveMapsOp< DeformerT, TreeT, FilterT >
struct | GlobalMovePointsOp< TreeT >
struct | GlobalMovePointsOp< TreeT >::CopyIterator
struct | LocalMovePointsOp< TreeT >
struct | LocalMovePointsOp< TreeT >::CopyIterator

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points
namespace | openvdb::v11_0::points::point_move_internal

## Typedefs
using | LeafIndex = Index32
using | IndexArray = std::vector< Index >
using | IndexTriple = std::tuple< LeafIndex, Index, Index >
using | IndexTripleArray = tbb::concurrent_vector< IndexTriple >
using | GlobalPointIndexMap = std::vector< IndexTripleArray >
using | GlobalPointIndexIndices = std::vector< IndexArray >
using | IndexPair = std::pair< Index, Index >
using | IndexPairArray = std::vector< IndexPair >
using | LocalPointIndexMap = std::vector< IndexPairArray >
using | LeafIndexArray = std::vector< LeafIndex >
using | LeafOffsetArray = std::vector< LeafIndexArray >
using | LeafMap = std::unordered_map< Coord, LeafIndex >

## Functions
template<typename LeafT >
Index | indexOffsetFromVoxel (const Index voxelOffset, const LeafT &leaf, IndexArray &offsets)
template<typename PointDataGridT , typename DeformerT , typename FilterT = NullFilter>
void | movePoints (PointDataGridT &points, const math::Transform &transform, DeformerT &deformer, const FilterT &filter=NullFilter(), future::Advect *objectNotInUse=nullptr, bool threaded=true)
| Move points in a PointDataGrid using a custom deformer and a new transform.
template<typename PointDataGridT , typename DeformerT , typename FilterT = NullFilter>
void | movePoints (PointDataGridT &points, DeformerT &deformer, const FilterT &filter=NullFilter(), future::Advect *objectNotInUse=nullptr, bool threaded=true)
| Move points in a PointDataGrid using a custom deformer.

## Detailed Description

Author
  Dan Bailey